import { BaseFilter, BaseQuery } from '@cubejs-backend/schema-compiler';
export declare class DuckDBQuery extends BaseQuery {
    newFilter(filter: any): BaseFilter;
    convertTz(field: string): string;
    timeGroupedColumn(granularity: string, dimension: string): string;
    /**
     * Returns sql for source expression floored to timestamps aligned with
     * intervals relative to origin timestamp point.
     * DuckDB operates with whole intervals as is without measuring them in plain seconds,
     * so the resulting date will be human-expected aligned with intervals.
     */
    dateBin(interval: string, source: string, origin: string): string;
    countDistinctApprox(sql: string): string;
    sqlTemplates(): any;
}
//# sourceMappingURL=DuckDBQuery.d.ts.map